<!-- 前端活动列表页面 -->
<!DOCTYPE html>
<html>
<head>

<style>
    #content{
        margin-top: 100px;
        margin-left: 100px;
    }
    #party_list div{
        margin-bottom: 20px
    }
</style>
<script src='/static/jquery.js'></script>
<script>
    $(function () {
        render(1);
    });

    function search() {
        render(1,$("#party_type").val(),$("#start_date").val(),$("#end_date").val());
    }

    function render(pageno,party_type,start_date,end_date){
        if(!pageno){
            pageno = 1
        }
        var data = {"pageno":pageno};
        if(party_type){
            data["party_type"] = party_type
        }
        if(start_date){
            data["startdate"] = start_date
        }
        if(end_date){
            data["enddate"] = end_date
        }
        $.post("/entry_task/party_enable_all_list",data,
            function(data){
                $("#party_list").empty();
                datalist = data.data.list
                $.each(datalist,function(i,val){
                    $("#party_list").append(
                        '<div>'+
                        '<label>活动id：</label>'+ val.id+'<br/>' +
                        '<label>活动名称：</label>'+ val.party_name+'<br/>'+
                        '<label>类别：</label>'+ val.party_chnl_name+'<br/>'+
                        '<label>开始时间：</label>'+ val.begin_time+'<br/>'+
                        '<label>结束时间：</label>'+ val.end_time+'<br/>'+
                        //'<label>活动地点：</label>'+ val.party_pos+'<br/>'+
                        '<label>活动主图：</label>'+ val.party_url+'<br/>'+
                        '<label>活动描述：</label>'+ val.party_desc+'<br/>'+
                        '<label>活动创建人头像：</label>'+ val.create_user_photo+'<br/>'+
                        '<label>活动创建人名称：</label>'+ val.create_user_name+'<br/>'+
                        '<a href="/static/party_view.html?id='+val.id+'" target = "_blank">详情</a><br/>'+
                        '</div>'
                    );
                });
            }
        )
    }
</script>
</head>
<body>
   <div id = "content">
        {{ errorcode }}<br>
        <h3>
            用户信息：
        </h3> 
        <label>id：</label>
        {{ user.id }}<br/>
        <label>用户名：</label>
       <a href="/static/myPartyList.html" target="_blank"> {{ user.user_name }}</a> <br/>
        <label>邮箱：</label>
        {{ user.email }}<br/>
        <h3>
            聚会活动列表：
        </h3>
        <div>
            <label>类别：</label>
            <input type="text" id="party_type">
            <label>开始日期：</label>
            <input type="text" id="start_date">
            <label>结束日期：</label>
            <input type="text" id="end_date">

            <input type="button" value="查询" onclick="search();">
        </div>
        <div id="party_list">
            <div>
            <label>活动id：</label><br/>
            <label>活动名称：</label><br/>
            <label>类别：</label><br/>
            <label>开始时间：</label><br/>
            <label>结束时间：</label><br/>
            <label>活动地点：</label><br/>
            <label>活动主图：</label><br/>
            <label>活动描述：</label><br/>
            <label>活动创建人头像：</label><br/>
            <label>活动创建人名称：</label><br/>
            </div>
        </div>
   </div> 

</body>
</html>